voronoi = require "voronoi"

function love.load()
	love.window.setMode(1000, 800)

	points_list = {}

	X0 = 50
	X1 = 950
	Y0 = 50
	Y1 = 750
	NUMPOINT = 100

	--Point that share the exact same coordinates can cause problems; adding a random decimal is a quick fix.
	for i = 1,NUMPOINT do
		points_list[i] = {x = math.random(X0,X1) + math.random(),y = math.random(Y0,Y1) + math.random(),dx = math.random(-2,2), dy = math.random(-2,2)}
	end
end

function love.draw()
	vertex, segments = voronoi(points_list)

    --Draw the vertex and line segments
	for i = 1, #vertex do
		love.graphics.setColor(0,0, 255,255)
		love.graphics.circle("fill",vertex[i].x,vertex[i].y, 5)
	end
	for i = 1,#segments do
        if segments[i].done then
        	love.graphics.setColor(255,0,0, 255)
        	love.graphics.line(segments[i].startPoint.x,segments[i].startPoint.y,segments[i].endPoint.x,segments[i].endPoint.y)
        end    
    end
end